<?php
/*

 $Id: show_mx.inc,v 1.31 2004/05/28 21:04:17 philips Exp $
 $Source: /data/cvsroot/maintain/templates/show_mx.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show MX
	Template for viewing/editing a single MX record

*/

// for those who are just searching, or aren't in a zone currently. 
if ($mx->zone->domains()) { $domains = $mx->zone->domains(); }

$history = $mx->object_history->get_history();

// Start the items array
$items = array(); 

?>
<p class="header2">
<? 
if ($action_type == "read") { echo "Viewing MX Record information for $mx->hostname"; } 
else { echo "Updated $mx->hostname with the following information"; }
?>
</p>
<? $conf['help']->display_help('mx_general'); ?>
<? echo "<p>"; $conf['error']->show_message('general'); echo "</p>"; ?>
<? 
if ($user->has_access($mx->zone->id)) { 
	$items[] = "<a href=\"" . $conf['web_path'] . "/mx.php?action=show_mx&mx_id=" . $mx->id . "\">Edit</a>";
	$items[] = "<a href=\"" . $conf['web_path'] . "/mx.php?action=delete&mx_id=" . $mx->id . "\">Delete</a>";
	$items[] = "<a href=\"" . $conf['web_path'] . "/create_mx.php\">Create New MX</a>";
} // has access
$items[] = "<a href=\"" . $conf['web_path'] . "/mx.php?action=show_mxs\">Show MXs</a>";
$conf['ui']->display_top_widget($items);
?>
<? if ($action_type) { ?>

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
 	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>MX Record Build Status:</td>
		<td><?= $conf['ui']->show_live_time($history->date,"MX Record"); ?></td>
	</tr>
       <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('hostname'); ?>"><? $conf['help']->show_link('hostname'); ?>Hostname: </td>
                <td><? $conf['ui']->display_field($mx->hostname); ?></td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("mx_server"); ?>"><? $conf['help']->show_link("mx_server"); ?> Server: </td>
                <td><? $conf['ui']->display_field($mx->server); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title("domain"); ?>"><? $conf['help']->show_link("domain"); ?> Domain:</td>
		<td><? $conf['ui']->display_field($mx->domain->name); ?></td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("mx_priority"); ?>"><? $conf['help']->show_link("mx_priority"); ?> Priority: </td>
                <td><? $conf['ui']->display_field($mx->priority); ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<? if ($mx->ttl < 300) { $mx->ttl = $conf['default_mx_ttl']; } ?>
		<td title="<? $conf['help']->title('ttl'); ?>"><? $conf['help']->show_link('ttl'); ?>TTL:</td>
		<td><? $conf['ui']->display_field($mx->ttl); ?></td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title("parent_zone"); ?>"><? $conf['help']->show_link("parent_zone"); ?> Parent Zone:</td>
		<td><? $conf['ui']->display_field($mx->zone->name); ?></td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
                <td title="<? $conf['help']->title("generic_comment"); ?>"><? $conf['help']->show_link("generic_comment"); ?>Comment: </td>
                <td><? $conf['ui']->display_field($history->comment); ?></td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
                <td title="<? $conf['help']->title("who_update"); ?>"><? $conf['help']->show_link("who_update"); ?>Last Updated By: </td>
                <td>
                <? if ($history->username) { ?>
                        <? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
                <? } else { ?>
                        N/A
                <? } ?>
                </td>
        </tr>   

</table>
<? show_template('bborder'); ?>

<? } else { ?>
<form name="edit_mx" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/mx.php" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>MX Record Build Status:</td>
	<td><?= $conf['ui']->show_live_time($history->date,"MX Record"); ?></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
    		<td title="<? $conf['help']->title('hostname'); ?>"><? $conf['help']->show_link('hostname'); ?> Name: </td>
                <td>
			<? if ($mx->zone->has_domain_access($mx->domain->id) or $user->is_admin) { ?>
                        <input name="name" value="<?= $mx->name ?>" size="35" />
			<? $conf['error']->show_message('name'); ?>
			<? } 
				else {
				   $conf['ui']->display_field($mx->name); 
				   echo "<input type=\"hidden\" name=\"name\" value=\"$mx->name\" />";
				   } 
			?>
                </td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("domain"); ?>"><? $conf['help']->show_link("domain"); ?> Domain: </td>
                <td><? if ($user->is_admin) { ?><input type="radio" onclick="enableField('domain_id');disableField('admin_domain_id');" name="domain_select" value="user" CHECKED /><? } ?>
			<? 
			if ($mx->zone->has_domain_access($mx->domain->id)) {
				$conf['ui']->show_domain_select($domains, $mx->domain->id);
			}
			else {
				$domains[] = new Domain($mx->domain->id);
				$conf['ui']->show_domain_select($domains,$mx->domain->id);
				echo "<font class=\"error\">Current Domain not in " . $mx->zone->name . "</font>";
			}
			?>
                </td>
        </tr>
        <? if ($user->is_admin) { ?>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("domain"); ?>"><? $conf['help']->show_link("domain"); ?> Admin Domains: </td>
                <td><input type="radio" onclick="enableField('admin_domain_id');disableField('domain_id');" name="domain_select" value="admin" />
                <?
                //if they are a admin allow them to movie it anywhere!
                $admin_domains = $conf['ui']->get_domains("SELECT id,name FROM domain ORDER BY name ASC");
                $conf['ui']->show_domain_select($admin_domains, $mx->domain->id,"admin_domain_id",'disabled');
                ?>
                </td>
        </tr>
        <? } ?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("mx_server"); ?>"><? $conf['help']->show_link("mx_server"); ?> Server Name: </td>
                <td>
                        <input name="server" value="<?= $mx->server ?>" size="35" />
			<? $conf['error']->show_message('server'); ?>
		</td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title("mx_priority"); ?>"><? $conf['help']->show_link("mx_priority"); ?> Priority:</td>
		<td>
			<select name="priority">
                                <option value="5" <? if ($mx->priority == "5") { echo "SELECTED"; } ?> >5</option>
                                <option value="10" <? if ($mx->priority == "10") { echo "SELECTED"; } ?> >10</option>
                                <option value="15" <? if ($mx->priority == "15") { echo "SELECTED"; } ?> >15</option>
                        </select>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title('ttl'); ?>"><? $conf['help']->show_link('ttl'); ?>TTL:</td>
		<td>
			<? if (!$mx->ttl) { $mx->ttl = $conf['default_mx_ttl']; } ?>
			<input name="ttl" value="<?= $mx->ttl; ?>" size="35" />
			<? $conf['error']->show_message('ttl'); ?>
		</td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title('generic_comment'); ?>" valign="top"><? $conf['help']->show_link('generic_comment'); ?>
                        Comment:
                        <a href="<?= $conf['web_path']; ?>/help.php?action=show_comments&amp;object_id=<?= $mx->id; ?>&amp;object_name=<?= $mx->hostname; ?>&amp;object_type=mx">
                        [View All Comments]
                        </a>
                </td>
                <td>
                <textarea name="comment" cols="45" rows="5"><?= $history->comment; ?></textarea>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td title="<? $conf['help']->title("mx_parent_zone"); ?>"><? $conf['help']->show_link("mx_parent_zone"); ?> Parent Zone:</td>
		<td><? $conf['ui']->display_field($mx->zone->name); ?></td>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
                <td title="<? $conf['help']->title("who_update"); ?>"><? $conf['help']->show_link("who_update"); ?>Last Updated By: </td>
                <td>
                <? if ($history->date) { ?>
                        <? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
                <? } else { ?>
                        N/A
                <? } ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td align="center" colspan="2">
			<input type="hidden" name="last_update" value="<?= $history->date; ?>" />
			<? if ( $user->has_access($mx->zone->id) ) { ?>
			<input type="submit" name="action" value="update" />
			<input type="submit" name="action" value="delete" />
			<input type="submit" name="action" value="Cancel" />
			<? } else { ?>
			<input type="submit" name="action" value="Return" />
			<? } ?>
		</td>
	</tr>
</table>
<? show_template('bborder'); ?>
<input type="hidden" name="mx_id" value="<? echo $mx->id ?>" />
</form>
<? if ($user->is_admin) { ?>
<p><font class="header2">Move the MX Record <?= $mx->hostname; ?> to another Zone.</font></p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<?= $conf['light_bgcolor']; ?>">
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td>Move <?= $mx->hostname; ?> to.</td>
		<td>
		<form method="post" enctype="multipart/form-data" action="mx.php" style="Display:inline">
		<input type="hidden" name="mx_id" value="<?= $mx->id; ?>" />
		<input type="hidden" name="action" value="move" />
		<? //zone list mojo time!
		$zones = $user->zones(); 
		$conf['ui']->show_zone_select($zones,$zones[0],"zone_id");
		?>
		</td>
		<td>
		<input type="submit" value="Move MX Record" />
		</form>
		</td>

</table>
<? show_template('bborder'); ?>
<? } ?>
<? } ?>
