<?php

/*

 $Id: show_unused_ranges.inc,v 1.8 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_unused_ranges.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Unused Ranges Template
	Show a listing of the unused IP ranges.
	This is special because we don't use the normal view class or
	the cool widget view we've developed.  The data in this bad
	boy is pretty complicated but its still usable.

*/

show_template('tborder'); 

?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td title="<? $conf['help']->title('range'); ?>">Range</td>
    		<td>IP's in Range</td>
                <td align="center">Action</td>
	</tr>

<?

foreach ($ranges as $range) {

?>

	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($range->start); ?> to <? $conf['ui']->display_field($range->end); ?></td>
		<td><? $conf['ui']->display_field($range->total); ?></td>
		<td>
			<a href="<?= $conf['web_path']; ?>/range.php?action=Create&ip_start=<? echo $range->start ?>&ip_end=<? echo $range->end ?>">Create New Range with these values</a>
		</td>
	</tr>
<?
} // foreach
?>

</table>

<? show_template('bborder'); ?>


